Q7

Support for Maven 3.1.x and further

Details

  • Type: Bug Bug
  • Status: Open Open
  • Priority: Minor Minor
  • Resolution: Unresolved
  • Affects Version/s: 1.3.11
  • Fix Version/s: 1.3.x
  • Component/s: Runner
  • Labels:
    None
  • Test Mode:
    Manual

Description

Maven plugins won't work with newer versions of Maven.

[ERROR] Failed to execute goal com.xored.q7:q7-maven-plugin:1.3.11:resources (default-resources) on project emf.compare.q7.tests: Execution default-resources of goal com.xored.q7:q7
-maven-plugin:1.3.11:resources failed: A required class was missing while executing com.xored.q7:q7-maven-plugin:1.3.11:resources: Lorg/sonatype/aether/RepositorySystem;

http://support.xored.com/helpdesk/tickets/844
http://support.xored.com/helpdesk/tickets/845
http://support.xored.com/helpdesk/tickets/1017
http://support.xored.com/helpdesk/tickets/1124
http://support.xored.com/helpdesk/tickets/1171

Activity

Hide
Vasili Gulevich added a comment - 12/May/14 8:21 PM

Implemented. Need to test.

Show
Vasili Gulevich added a comment - 12/May/14 8:21 PM Implemented. Need to test.
Hide
komaz added a comment - 30/Jun/14 7:13 PM

q7-maven-plugin 1.3.x is now Maven 3.0.x only compatible, q7-maven-plugin 1.4.0-B1 is Maven 3.1+ only compatible. We need to make universal solution (other maven plugins were able to do this, so it should be possible)

Show
komaz added a comment - 30/Jun/14 7:13 PM q7-maven-plugin 1.3.x is now Maven 3.0.x only compatible, q7-maven-plugin 1.4.0-B1 is Maven 3.1+ only compatible. We need to make universal solution (other maven plugins were able to do this, so it should be possible)
Hide
Vasili Gulevich added a comment - 03/Jul/14 9:45 PM - edited

May use:
http://stackoverflow.com/questions/1440224/how-can-i-download-maven-artifacts-within-a-plugin

We need to be able use plugin repositories to the runner/client artifacts (non-conventional use of RepositorySystem).

UPDATE: this solution still fails on older Maven.

Show
Vasili Gulevich added a comment - 03/Jul/14 9:45 PM - edited May use: http://stackoverflow.com/questions/1440224/how-can-i-download-maven-artifacts-within-a-plugin We need to be able use plugin repositories to the runner/client artifacts (non-conventional use of RepositorySystem). UPDATE: this solution still fails on older Maven.

People

Vote (0)
Watch (0)

Dates

  • Created:
    31/Mar/14 6:28 PM
    Updated:
    12/Mar/15 6:39 PM